Playing nice with 10.11.x in a Mojave/Catelina world VM questions???

roadkill401

macrumors 6502
Original poster
Jan 11, 2015
427
81
I have an old by todays standards iMac 5K. it shipped with Yosemite 10.10. I bought it to do my CS6 Photoshop and Dreamweaver for a small hobby website I have. Yes, I know that Adobe has turned around and dumped the CS versions and now gone to the CC (that stands for constant cost) that I refuse to upgrade to.

I have pretty much given up on trying to stay current but it seems that it's forced upon me. I am trying to move to Afinity to dump Photoshop but it's just too much learning and cost to dump Dreamweaver. it just works right now.

The question is how to run the CS6 in a OS that really doesn't want to support it. It works quite well with Yosemite 10.10, and pretty well with El.Capitan 10.11. So I was told on a different thread to just load a virtual machine. I have the i7 with 32gb ram so there shouldn't be a problem with working with a Virtual Machine as a solution, but I lost on how to get it to work.

In the past I when I first got this iMac I did splurge out for a copy of VMware Fusion 8. I have found out that this version doesn't run in anything above Sierra, and Apple tells me that Logic Pro doesn't run in anything below Mojave. So I am sort of screwed.

I took a look at the upgrade to Fusion 11.5 only to find out that for some reason it will not support a display resolution above 1024x768 in any of the older OSX installs. VMware do not support their software and say that without a support contract they will not look into anything. I know from past experience pre move to a mac, that evem with a support contact, VMware won't do anything either.


Has anyone gotten OSX 10.10 or 10.11 to work in a VM and give a high resolution? I have a 5k and a 4k montor on my desk and I can't function in 1024x768. I have already blown a full day trying to figure it out, reloading, reinstalling re-trying and no luck.

HELP.. PLEASE.
 

roadkill401

macrumors 6502
Original poster
Jan 11, 2015
427
81
Well, to answer my own question. After getting kicked off the TV when the wife got home from work, I ended up back on my iMac and more google searches. It seems that the shipping version of VMware Fusion 11.5.x doesn't have a working copy of VMtools. The workaround to get 10.11.x to work is to get a copy of darwin.iso from the 11.1.11 version and the tools inside of that work. (but not for 10.10.x, sadly you're S.O.L. for that version of OS/X)

see https://www.insanelymac.com/forum/files/file/987-vmware-tools-for-os-x-macos-darwiniso-and-darwinpre15iso/